RANLIB(1)

NOM
ranlib – Génération d’un index pour une archive

SYNOPSIS
ranlib [--plugin nom] [-DhHvVt] archive

DESCRIPTION
ranlib génère un index de contenu d’archive et l’enregistre dans celle-ci. Cet index liste chaque symbole défini par un membre de cette archive qui est un fichier objet déplaçable.

nm -s ou nm --print-armap peuvent être utilisées pour lister cet index.

Une archive munie d’un tel index accélère les liaisons vers la bibliothèque et permet aux routines de la bibliothèque d’être appelées sans considération de leur emplacement dans l’archive.

Le programme GNU ranlib est une autre forme du programme GNU ar ; l’exécution de ranlib est complètement équivalente à celle de ar -s.

OPTIONS

-h
-H
--help
    Afficher une information sur l’utilisation de ranlib.

-v
-V
--version
    Afficher le numéro de version de ranlib.

-D  Opérer en mode déterministe. L’entête du membre de mappage de symboles de l’archive affiche zéro pour les UID, GID et horodatage. Lorsque cette option est utilisée, plusieurs exécutions produisent des fichiers de sortie identiques.

    Si binutils est configuré avec --enable-deterministic-archives, alors ce mode est activé par défaut. Il peut être désactivé avec l’option -U décrite ci-après.

-t  Mettre à jour l’horodatage du mappage de symboles d’une archive.

-U  Ne pas opérer en mode déterministe. C’est l’inverse de l’option -D ci-dessus. L’index de l’archive aura les valeurs réelles des UID, GID, horodatage et mode de fichier.

    Si binutils est configuré sans l’option --enable-deterministic-archives, alors ce mode est actif par défaut.

@fichier
    Lire les options de ligne de commande dans le fichier. Les options lues sont insérées à la place de l’option @fichier originelle. Si fichier n’existe pas ou ne peut être lu, alors l’option est traitée littéralement et n’est pas supprimée.

    Les options dans fichier sont séparées par des espaces. Un caractère espace peut être inclus dans une option en entourant l’option entière par des guillemets droits, simples ou doubles. Tout caractère (dont les controbliques) peut être inclus en préfixant ce caractère à inclure par une controblique. Le fichier peut lui-même contenir des options @fichier supplémentaires. De telles options seront traitées de manière récursive.

VOIR AUSSI
ar(1), nm(1) et les entrées de menu de info(1) pour binutils.

COPYRIGHT
Copyright (c) 1991-2026 Free Software Foundation, Inc.

Autorisation est donnée de copier, distribuer et/ou modifier ce document sous les termes de la licence GNU Free Documentation License, version 1.3 ou ultérieure publiée par la fondation Free Software Foundation, sans sections invariantes, sans texte de couverture et sans texte de dos de couverture. Une copie de la licence figure dans la section « GNU Free Documentation License ».

TRADUCTION
La traduction française de cette page de manuel a été créée par Jean-Paul Guillonneau <guillonneau.jeanpaul@free.fr>

Cette traduction est une documentation libre ; veuillez vous reporter à la GNU General Public License version 3 (https://www.gnu.org/licenses/gpl-3.0.html) concernant les conditions de copie et de distribution. Il n'y a aucune RESPONSABILITÉ LÉGALE.

Si vous découvrez un bogue dans la traduction de cette page de manuel, veuillez envoyer un message à debian-l10n-french@lists.debian.org.